> For the complete documentation index, see [llms.txt](https://docs.itgrix.ru/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.itgrix.ru/for-admins/v-tablice-cel-v-stolbce-cid_num-net-vnutrennego-nomera-sotrudnika.md).

# В таблице CEL в столбце cid\_num нет внутреннего номера сотрудника

**Проблемы:**

* Нет окон при звонках;
* Неправильный ответственный в делах.

**Как определить:**

1. В лог файле находим звонок, при котором нет окна (например, входящий с 89123456 на 123). Нам нужен id родительского канала этого звонка. Пример строки в логе:`Incoming call started [987654.111] to the number [89123456] through the trunk [112233]`
2. По id звонка ищем сообщение о событии **“Conversation requested”** – именно на нём показываем карточку разговора.

Пример сообщения:

```
answered_at:null
channel_id:1542768439.1895
ended_at:null
from:89123456789
from_local:false
id:1542768439.1895
parent_channel_id:1542768416.1894
started_at:2018-11-21 07:47:19
state:1
state_code:ringing
to:3432723033 (тут должен быть внутренний номера сотрудника)
to_local:true
trunk:3432723033
type:2
type_code:incoming
was_answered:false
```

3\. Здесь вместо внутреннего номера указан транк.

**Как исправить:**

1. В файле /etc/asterisk/sip.conf (либо sip\_additional.conf, либо sip\_custom.conf, либо user.conf для Elastix) добавить строку для \[123]:\
   `cid_number=123`\
   Сделать для всех, у кого не попадает.\
   Или:\
   `callerid="Name" <123>`\
   Name – имя сотрудника, отображаемое на телефоне.<br>
2. Перечитать конфиги Астериска: `asterisk -rx “sip reload”.`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.itgrix.ru/for-admins/v-tablice-cel-v-stolbce-cid_num-net-vnutrennego-nomera-sotrudnika.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
